Message: Re: Geant4.10.2 patch 02 applications and make Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

More Re: Geant4.10.2 patch 02 applications and make 

Forum: Installation and Configuration
Re: None Geant4.10.2 patch 02 applications and make (Fada Guan)
Date: 19 Aug, 2016
From: Gabriele Cosmo <Gabriele Cosmo>

You should check carefully your environment and installation... path to shared
libraries (LD_LIBRARY_PATH), binaries (PATH), and G4INSTALL for instance.
10.2.p02 should show the correct ID. See:
http://www-geant4.kek.jp/lxr/source/global/management/include/G4Version.hh

Cheers, Gabriele

-----------------
On Mon, 15 Aug 2016 15:02:50 GMT, Fada Guan wrote:
> Hello!
> 
> I installed the latest geant4.10.2 with patch 02. Everything was good
> for installation. Then I tested my applications. If I use cmake,
> everything is still good.
> 
> However, if I use make and GNUmakefile, some strange things happen:
> 
> Current local time and date: Sun Aug 14 11:02:47 2016
> 
> *************************************************************
>  Geant4 version Name: geant4-10-02-patch-01 [MT]   (26-February-2016)
>   << in Multi-threaded mode >> 
>                       Copyright : Geant4 Collaboration
>                       Reference : NIM A 506 (2003), 250-303
>                             WWW : http://cern.ch/geant4
> *************************************************************
> 
> # of threads: 2 <<< Geant4 Physics List simulation engine: QGSP_BERT 4.0
> 
> Visualization Manager instantiating with verbosity "warnings (3)"...
> Visualization Manager initialising... Registering graphics systems...
> ../bin/Linux-g++/magnet040: symbol lookup error:
> ../bin/Linux-g++/magnet040: undefined symbol:
> _ZN19G4OpenGLImmediateQtC1Ev
> 
> There are two issues here: 1, it shows geant4 is patch 01 for 4.10.2 2,
> it cannot find OpenGLImmediateQt.
> 
> I am wondering:
> 1, where the geant4 version information is stored for using either make or cmake. It seems they don't read in the same file. Now, using cmake can definitely provide correct version. I checked geant4-config, and found there the version is indeed correct as 10.2.2.
> 2, in which gmk file or other files, Qt information is stored. Why using make can result in issues?
> 3, which c++ file is used to print out the welcome message like:
>  Geant4 version Name: geant4-10-02-patch-01 [MT]   (26-February-2016)
>   << in Multi-threaded mode >> 
> 
> Thanks so much!
> 
> FG
> 

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Geant4.10.2 patch 02 applications and make   (Fada Guan - 19 Aug, 2016)
 Add Message Add Message
to: "Re: Geant4.10.2 patch 02 applications and make"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]